<template>
	<div id="viewContract" class="row">

	</div>
</template>

<script>
	export default {
		methods: $.extend(Methods, {
			requestData() {
				this.ajaxRequest({
					url: 'contract/signView',
					type: 'post',
					params: {
						no: this.$route.query.contractCode,
						userCode: this.$route.query.companyCode,
						type: 'mobile',
						//TODO ADD
						returnUrl : 'http://ldTest.ooteco.com/#/Test',
//						returnUrl: 'http://ooteco.iok.la:26505/#/Test',
					},
					success: res => {
						$('body').append(res.data);
					}
				})
			}
		}),
		mounted() {},
		beforeRouteEnter(to, from, next) {
			next((vm) => {
				vm.requestData();
			});
		}
	}
</script>

<style>

</style>